> ## Documentation Index
> Fetch the complete documentation index at: https://docs.moderationapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get queue items

> Get paginated list of items in a moderation queue with filtering options



## OpenAPI

````yaml get /queue/{id}/items
openapi: 3.1.0
info:
  title: Moderation API
  description: API for automated content moderation
  version: 1.1.0
servers:
  - url: https://api.moderationapi.com/v1
security: []
tags:
  - name: Actions
  - name: Queues
  - name: Webhooks
  - name: Wordlist
  - name: UserReports
externalDocs:
  url: https://docs.moderationapi.com
paths:
  /queue/{id}/items:
    get:
      tags:
        - review-queues
      summary: Get queue items
      description: Get paginated list of items in a moderation queue with filtering options
      operationId: queueView-openGetItems
      parameters:
        - in: path
          name: id
          schema:
            type: string
            description: The queue ID
          required: true
          description: The queue ID
        - in: query
          name: pageSize
          schema:
            default: 20
            description: Number of items per page
            type: number
        - in: query
          name: pageNumber
          schema:
            default: 1
            description: Page number to fetch
            type: number
        - in: query
          name: sortField
          schema:
            type: string
            enum:
              - createdAt
              - severity
              - reviewedAt
        - in: query
          name: sortDirection
          schema:
            default: desc
            description: Sort direction
            type: string
            enum:
              - asc
              - desc
        - in: query
          name: conversationIds
          schema:
            type: string
        - in: query
          name: labels
          schema:
            type: string
        - in: query
          name: afterDate
          schema:
            type: string
        - in: query
          name: beforeDate
          schema:
            type: string
        - in: query
          name: includeResolved
          schema:
            type: string
        - in: query
          name: authorId
          schema:
            type: string
        - in: query
          name: filteredActionIds
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Content ID
                        content:
                          type: string
                          description: The content to be moderated
                        language:
                          description: Content language
                          type: string
                        labels:
                          type: array
                          items:
                            type: object
                            properties:
                              label:
                                type: string
                                description: Label name
                              score:
                                type: number
                                description: Confidence score of the label
                              flagged:
                                type: boolean
                                description: Whether this label caused a flag
                            required:
                              - label
                              - score
                              - flagged
                            additionalProperties: false
                        conversationId:
                          description: Conversation ID
                          type: string
                        authorId:
                          description: Author ID
                          type: string
                        actions:
                          description: Action IDs taken on this item
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: Action ID
                              name:
                                type: string
                                description: Action name
                              comment:
                                description: Action comment
                                type: string
                              timestamp:
                                type: number
                                description: Unix timestamp of when the action was taken
                              reviewer:
                                description: Moderator userID
                                type: string
                            required:
                              - id
                              - name
                              - timestamp
                            additionalProperties: false
                        flagged:
                          type: boolean
                          description: Whether the item is flagged by any label
                        status:
                          type: string
                          enum:
                            - pending
                            - resolved
                          description: Status of the item
                        timestamp:
                          type: number
                          description: Unix timestamp of when the item was created
                        contentType:
                          description: Type of the content object
                          type: string
                      required:
                        - id
                        - content
                        - labels
                        - flagged
                        - status
                        - timestamp
                      additionalProperties: false
                  pagination:
                    type: object
                    properties:
                      totalItems:
                        type: number
                      totalPages:
                        type: number
                      currentPage:
                        type: number
                      hasNextPage:
                        type: boolean
                      hasPreviousPage:
                        type: boolean
                    required:
                      - totalItems
                      - totalPages
                      - currentPage
                      - hasNextPage
                      - hasPreviousPage
                    additionalProperties: false
                required:
                  - items
                  - pagination
                additionalProperties: false
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import ModerationAPI from '@moderation-api/sdk';

            const client = new ModerationAPI({
              secretKey: process.env['MODAPI_SECRET_KEY'], // This is the default and can be omitted
            });

            const items = await client.queue.items.list('id');

            console.log(items.items);
        - lang: Python
          source: |-
            import os
            from moderation_api import ModerationAPI

            client = ModerationAPI(
                secret_key=os.environ.get("MODAPI_SECRET_KEY"),  # This is the default and can be omitted
            )
            items = client.queue.items.list(
                id="id",
            )
            print(items.items)
        - lang: Ruby
          source: >-
            require "moderation_api"


            moderation_api = ModerationAPI::Client.new(secret_key: "My Secret
            Key")


            items = moderation_api.queue.items.list("id")


            puts(items)
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````